//-----------------------------------------------------------------------------
// laser_detector_0_wrapper.v
//-----------------------------------------------------------------------------

module laser_detector_0_wrapper
  (
    i_sys_rst,
    i_clk_100_bus,
    o_M_abort,
    o_M_ABus,
    o_M_BE,
    o_M_busLock,
    o_M_TAttribute,
    o_M_lockErr,
    o_M_mSize,
    o_M_priority,
    o_M_rdBurst,
    o_M_request,
    o_M_RNW,
    o_M_size,
    o_M_type,
    o_M_wrBurst,
    o_M_wrDBus,
    i_PLB_MAddrAck,
    i_PLB_MBusy,
    i_PLB_MRdErr,
    i_PLB_MWrErr,
    i_PLB_MRdBTerm,
    i_PLB_MRdDAck,
    i_PLB_MRdDBus,
    i_PLB_MRdWdAddr,
    i_PLB_MRearbitrate,
    i_PLB_MSSize,
    i_PLB_MWrBTerm,
    i_PLB_MWrDAck,
    i_PLB_MTimeout,
    i_PLB_PAValid,
    i_Sl_addrAck,
    i_Sl_wrDAck,
    i_Sl_rdDAck,
    i_Sl_wrComp,
    i_Sl_rdDBus,
    i_MPMC_Done_Init
  );
  input i_sys_rst;
  input i_clk_100_bus;
  output o_M_abort;
  output [0:31] o_M_ABus;
  output [0:3] o_M_BE;
  output o_M_busLock;
  output [0:15] o_M_TAttribute;
  output o_M_lockErr;
  output [0:1] o_M_mSize;
  output [0:1] o_M_priority;
  output o_M_rdBurst;
  output o_M_request;
  output o_M_RNW;
  output [0:3] o_M_size;
  output [0:2] o_M_type;
  output o_M_wrBurst;
  output [0:31] o_M_wrDBus;
  input i_PLB_MAddrAck;
  input i_PLB_MBusy;
  input i_PLB_MRdErr;
  input i_PLB_MWrErr;
  input i_PLB_MRdBTerm;
  input i_PLB_MRdDAck;
  input [0:31] i_PLB_MRdDBus;
  input [0:3] i_PLB_MRdWdAddr;
  input i_PLB_MRearbitrate;
  input [0:1] i_PLB_MSSize;
  input i_PLB_MWrBTerm;
  input i_PLB_MWrDAck;
  input i_PLB_MTimeout;
  input i_PLB_PAValid;
  input [0:0] i_Sl_addrAck;
  input [0:0] i_Sl_wrDAck;
  input [0:0] i_Sl_rdDAck;
  input [0:0] i_Sl_wrComp;
  input [0:31] i_Sl_rdDBus;
  input i_MPMC_Done_Init;

  laser_detector
    #(
      .C_PLBV46_NUM_SLAVES ( 1 ),
      .C_PLBV46_DWIDTH ( 32 ),
      .C_VIDEO_RAM_BASEADDR ( 32'h40000000 ),
      .C_BYTES_PER_LINE ( 4096 )
    )
    laser_detector_0 (
      .i_sys_rst ( i_sys_rst ),
      .i_clk_100_bus ( i_clk_100_bus ),
      .o_M_abort ( o_M_abort ),
      .o_M_ABus ( o_M_ABus ),
      .o_M_BE ( o_M_BE ),
      .o_M_busLock ( o_M_busLock ),
      .o_M_TAttribute ( o_M_TAttribute ),
      .o_M_lockErr ( o_M_lockErr ),
      .o_M_mSize ( o_M_mSize ),
      .o_M_priority ( o_M_priority ),
      .o_M_rdBurst ( o_M_rdBurst ),
      .o_M_request ( o_M_request ),
      .o_M_RNW ( o_M_RNW ),
      .o_M_size ( o_M_size ),
      .o_M_type ( o_M_type ),
      .o_M_wrBurst ( o_M_wrBurst ),
      .o_M_wrDBus ( o_M_wrDBus ),
      .i_PLB_MAddrAck ( i_PLB_MAddrAck ),
      .i_PLB_MBusy ( i_PLB_MBusy ),
      .i_PLB_MRdErr ( i_PLB_MRdErr ),
      .i_PLB_MWrErr ( i_PLB_MWrErr ),
      .i_PLB_MRdBTerm ( i_PLB_MRdBTerm ),
      .i_PLB_MRdDAck ( i_PLB_MRdDAck ),
      .i_PLB_MRdDBus ( i_PLB_MRdDBus ),
      .i_PLB_MRdWdAddr ( i_PLB_MRdWdAddr ),
      .i_PLB_MRearbitrate ( i_PLB_MRearbitrate ),
      .i_PLB_MSSize ( i_PLB_MSSize ),
      .i_PLB_MWrBTerm ( i_PLB_MWrBTerm ),
      .i_PLB_MWrDAck ( i_PLB_MWrDAck ),
      .i_PLB_MTimeout ( i_PLB_MTimeout ),
      .i_PLB_PAValid ( i_PLB_PAValid ),
      .i_Sl_addrAck ( i_Sl_addrAck ),
      .i_Sl_wrDAck ( i_Sl_wrDAck ),
      .i_Sl_rdDAck ( i_Sl_rdDAck ),
      .i_Sl_wrComp ( i_Sl_wrComp ),
      .i_Sl_rdDBus ( i_Sl_rdDBus ),
      .i_MPMC_Done_Init ( i_MPMC_Done_Init )
    );

endmodule

// synthesis attribute x_core_info of laser_detector_0_wrapper is laser_detector_v1_00_a;

