//2011.03.30.L -> Implemented 2 Dot Laser Tracking; Fixed Some Minor Stuff

#include "Game.h"
#include "Laser_Track.h"

#define MAX_TARGETS 12
#define GEN_RATE 12
#define BOX_COLOUR 0x77777777
#define BOX_X 25
#define BOX_Y 35
#define BG_COLOUR 0x00FFFFFF
#define BOX_COLOUR 0x77777777
#define LASER_EFFECTIVE_RADIUS 20
#define X_UPPER_BOUND 590
#define X_LOWER_BOUND 50
#define Y_UPPER_BOUND 430
#define Y_LOWER_BOUND 50
#define RANDOM_GEN 1
typedef enum
{
	Line,
	Points,
	Shot
} GameMode;

struct Screen* screen;

struct IntVector2 coords;
struct IntVector4 resCoords;
int score;
struct Vector2 ULOffset; //Upper Left Offset
struct Vector2 LROffset; //Lower Right Offset
int readyForGen;
int score;
//struct Buffered_screen* buf;
//return coords;
static int LoopCount;// = 0;
GameMode Mode;
//Powers Section
int InvincibilityActive;
int InvincibilityExpiry;
struct Target InvinIcon;
struct Target NukeSymbol;
struct IntVector2 NukePosition;

//In Game Targets
struct Target targets[MAX_TARGETS - 1];

void Game(float ul_x, float ul_y, float lr_x, float lr_y, struct Buffered_screen* buf, 
					struct LaserTrackerModule * LM_ptr, struct LocalTrackerDataStruct * LD_ptr)
{
	Mode = Line;
	InvincibilityActive = 0;
	MakeStar(&InvinIcon, 0);
	InvinIcon.Position = IVMakeVec(160, 16);
	MakeNuke(&NukeSymbol, 0);
	NukeSymbol.Alive = 0;
	NukeSymbol.Position = IVMakeVec(200, 10);
	NukeSymbol.Score = 0;
	NukeSymbol.targType = NukeIcon;
	ULOffset.x = ul_x;
	ULOffset.y = ul_y;
	LROffset.x = lr_x;
	LROffset.y = lr_y;

	int i = 0;//, loopCount = 0;
	LoopCount = 0;
	int randomInt;
	int stable_zero =0;
	int last_non_zero_x1;
	int last_non_zero_y1;
	int last_non_zero_x2;
	int last_non_zero_y2;
	int prev_x1;
	int prev_y1;
	int prev_x2;
	int prev_y2;
	//coords.x = 0;
	//coords.y = 0;
	resCoords.x1 = 0;
	resCoords.y1 = 0;
	resCoords.x2 = 0;
	resCoords.y2 = 0;
	readyForGen = 0;
	srand(ul_x + lr_y - ul_y * ul_x);
	for (i = 0; i < MAX_TARGETS - 1; ++i)
	{
		targets[i] = MakeTarget(16 * (i + 1) + X_LOWER_BOUND + randInt(25), 16 * (i + 1) + Y_LOWER_BOUND + randInt(25), 4 + randInt(15), 4 + randInt(15), BOX_COLOUR);
		targets[i].Size = IVMakeVec(BOX_X, BOX_Y);
		MakeSmiley(&targets[i]);
	}
	i = 0;
	xil_printf("Entering Main Game Loop.\r\nSHOULD NOT SEE ANY MORE OUTPUT ON TERMINAL!!!\r\n");
	for(;;++LoopCount)
	{

		UpdateLaserCoords(LM_ptr, LD_ptr);
		
		//randomInt = randInt(6);
		screen = get_undisplayed(buf);
		cal_screen(screen, BG_COLOUR, BOX_COLOUR, 0);
		if (InvincibilityActive)
		{
			DrawTarget(screen, &InvinIcon);
			UpdatePowerUps(LoopCount);
		}
		if (NukeSymbol.Alive)
		{
			DrawTarget(screen, &NukeSymbol);
			
		}
		for(i = 0; i < MAX_TARGETS - 1; ++i)
		{
			if (targets[i].Alive)
			{
				UpdateTarget(&targets[i]);
			}
			if(NukeSymbol.Alive)
			{
				UpdateTarget(&NukeSymbol);
			}
			//Need to check again, target may have been killed in update
			if (targets[i].Alive)
			{
				DrawTarget(screen, &targets[i]);
			}
			if (NukeSymbol.Alive)
			{
				DrawTarget(screen, &NukeSymbol);
			}
		}
		
		
		
		if(readyForGen)
		{
			GenTargets(targets, GEN_RATE);
		}
		
		//This should be the last thing drawn onto the frame before the swap
		drawSwipeLine(screen, GOOD_SWIPE_LINE_COL, resCoords.x1, resCoords.y1, resCoords.x2, resCoords.y2);
		//drawSwipeLine(screen, GOOD_SWIPE_LINE_COL, LD_ptr->X_pos_1, LD_ptr->Y_pos_1, LD_ptr->X_pos_2, LD_ptr->Y_pos_2);
		write_pixel(screen, 0x00000000, resCoords.x1, resCoords.y1);
		write_pixel(screen, 0x00000000, resCoords.x2, resCoords.y2);
		UpdateScore(screen,score);
		
		swap(buf);
	}
}

void UpdateLaserCoords(struct LaserTrackerModule * LM_ptr, struct LocalTrackerDataStruct * LD_ptr)
{
	getRawLaserCoordinates(LM_ptr, LD_ptr); //Getting the Coordinates				
	resCoords.x1 = (int)(X_UPPER_BOUND * ((LD_ptr->X_pos_1 - ULOffset.x) / (LROffset.x - ULOffset.x))+ 
					X_LOWER_BOUND * (LD_ptr->X_pos_1 - LROffset.x) / (ULOffset.x - LROffset.x));
	resCoords.y1 =(int)(Y_UPPER_BOUND * ((LD_ptr->Y_pos_1 - ULOffset.y) / (LROffset.y - ULOffset.y)) + 
					Y_LOWER_BOUND * (LD_ptr->Y_pos_1 - LROffset.y) / (ULOffset.y - LROffset.y));
	resCoords.x2 = (int)(X_UPPER_BOUND * ((LD_ptr->X_pos_2 - ULOffset.x) / (LROffset.x - ULOffset.x))+ 
					X_LOWER_BOUND * (LD_ptr->X_pos_2 - LROffset.x) / (ULOffset.x - LROffset.x));
	resCoords.y2 = (int)(Y_UPPER_BOUND * ((LD_ptr->Y_pos_2 - ULOffset.y) / (LROffset.y - ULOffset.y)) + 
					Y_LOWER_BOUND * (LD_ptr->Y_pos_2 - LROffset.y) / (ULOffset.y - LROffset.y));
}

void DrawTarget(struct Screen* targetScreen, struct Target* target)
{
	
	int i, j; //loop variable
	int index = 0;
	if (target->Swaps && target->Swapped)
	{
	for (i = 0; i < target->Size.x; ++i)
		{
			for (j = 0; j < target->Size.y; ++j, ++index)
			{
				write_pixel(targetScreen, target->SwappedData[index], target->Position.x + i, target->Position.y + j);
			}
		}
	}
	else
	{
		for (i = 0; i < target->Size.x; ++i)
		{
			for (j = 0; j < target->Size.y; ++j, ++index)
			{
				write_pixel(targetScreen, target->ImageData[index], target->Position.x + i, target->Position.y + j);
			}
		}
	}
}

void UpdateTarget(struct Target* target)
{
	if(Mode == Points)
	{
	if (((resCoords.x1 >= target->Position.x-LASER_EFFECTIVE_RADIUS && 
		resCoords.x1 <= target->Position.x + target->Size.x+LASER_EFFECTIVE_RADIUS) &&
		(resCoords.y1 >= target->Position.y-LASER_EFFECTIVE_RADIUS && 
		resCoords.y1 <= target->Position.y + target->Size.y+LASER_EFFECTIVE_RADIUS)) || 
		//Check second laser
		((resCoords.x2 >= target->Position.x-LASER_EFFECTIVE_RADIUS && 
		resCoords.x2 <= target->Position.x + target->Size.x+LASER_EFFECTIVE_RADIUS) &&
		(resCoords.y2 >= target->Position.y-LASER_EFFECTIVE_RADIUS && 
		resCoords.y2 <= target->Position.y + target->Size.y+LASER_EFFECTIVE_RADIUS))) {
		target->Alive = 0;
		readyForGen = 1;
		if (!(target->Score < 0 && InvincibilityActive))
			score += target->Score * (target->Speed.x + target->Speed.y) * 0.2 + 0.5 * ((50 - target->Size.x) + (50 - target->Size.y));
		if (score < 0)
			score = 0;
		if (target->ActivatesPowerup)
				ActivatePowerUps(target, LoopCount);
		
		return;
		}
	}
	else if (Mode == Line)
	{
		struct IntVector2 LineStart;
		LineStart.x = resCoords.x1;
		LineStart.y = resCoords.y1;
		struct IntVector2 LineEnd;
		LineEnd.x = resCoords.x2;
		LineEnd.y = resCoords.y2;
		if (LineCutsObject(target, &LineStart, &LineEnd))
		{
			target->Alive = 0;
			
			if (!(target->Score < 0 && InvincibilityActive))
				score += target->Score;
			if (score < 0)
				score = 0;
			readyForGen = 1;
			if (target->ActivatesPowerup)
				ActivatePowerUps(target, LoopCount);
			return;
		}
	}
	if (target->Timed)
	{
		if (target->ExpiryTime < LoopCount)
		{
			target->Alive = 0;
			readyForGen = 1;
			return;
		}
	}
	if (target->Swaps && ((target->LastSwap + target->SwapSpeed) < LoopCount))
	{
		target->Swapped = !target->Swapped;
		target->LastSwap = LoopCount;
	}
	target->Position.x += target->Speed.x;
	target->Position.y += target->Speed.y;
	if((target->Position.x > (X_UPPER_BOUND - target->Size.x)&& target->Speed.x > 0) || 
		(target->Position.x <= X_LOWER_BOUND && target->Speed.x <= 0))
	{
		target->Speed.x = -target->Speed.x;
	}
	if((target->Position.y > (Y_UPPER_BOUND - target->Size.y) && target->Speed.y > 0) ||
		(target->Position.y <= Y_LOWER_BOUND && target->Speed.y <= 0))
	{
		target->Speed.y = -target->Speed.y;
	}
}

void GenTargets(struct Target* TargetArray, int GenAmount)
{
	int generated = 0;
	int index = 0;
	int randomInt = 0;
	for (index = 0; generated < GenAmount && index < MAX_TARGETS - 1; ++index)
	{
		if (!TargetArray[index].Alive)
		{
			if (RANDOM_GEN)
			{
				TargetArray[index] = MakeTarget(randInt(X_UPPER_BOUND - 100) + 50, randInt(Y_UPPER_BOUND - 100) + 50, 5 + randInt(10), 5 + randInt(10), rand());
				randomInt = randInt(100);
				if (randomInt > 99)
				{
					MakeNuke(&TargetArray[index], LoopCount);
				}
				else if (randomInt > 96)
				{
					MakeStar(&TargetArray[index], LoopCount);
				}
				else if (randomInt > 70)
				{
					MakeEvilBomb(&TargetArray[index], LoopCount);
				}
				else
				{
					MakeSmiley(&TargetArray[index]);
				}
				++generated;
			}
		}
	}
	readyForGen = 0;
}

void ActivatePowerUps(struct Target* target, int CurrentIteration)
{
	switch(target->targType)
	{
	case Star:
		InvincibilityActive = 1;
		InvincibilityExpiry = CurrentIteration + target->PowerUpDuration;
		break;
	case Nuke:
		NukeSymbol.Alive = 1;
		break;
	case NukeIcon:
		DestroyAll(1, 1);
		break;
	}

}

void UpdatePowerUps(int CurrentIteration)
{
	if (InvincibilityActive && CurrentIteration > InvincibilityExpiry)
		InvincibilityActive = 0;
	
}

void MakeSmiley(struct Target* target)
{
	target->Size = IVMakeVec(smileywidth, smileyheight);
	target->targType = Smiley;
	target->ImageData = &smiley;
	target->Score = smileyscore;
	target->Timed = 0;
	target->ActivatesPowerup = 0;
	target->Swaps = 0;
}
/*
void MakeBomb(struct Target* target, int CurrentIteration)
{
	target->Size = IVMakeVec(bombwidth, bombheight);
	target->targType = Bomb;
	target->ImageData = &bomb;
	target->Score = bombscore;
	target->Timed = 1;
	target->ExpiryTime = CurrentIteration + bombiterations;
}*/

void MakeEvilBomb(struct Target* target, int CurrentIteration)
{
	target->Size = IVMakeVec(evilbombwidth, evilbombheight);
	target->targType = EvilBomb;
	target->ImageData = &evilbomb;
	target->Score = evilbombscore;
	target->Timed = 1;
	target->ExpiryTime = CurrentIteration + evilbombiterations;
	target->ActivatesPowerup = 0;
	target->Swaps = 0;
}

void MakeStar(struct Target* target, int CurrentIteration)
{
	target->Size = IVMakeVec(starwidth, starheight);
	target->targType = Star;
	target->ImageData = &yellowstar;
	target->SwappedData = &redstar;
	target->Score = starscore;
	target->Timed = 1;
	target->ExpiryTime = CurrentIteration + stariterations;
	target->ActivatesPowerup = 1;
	target->Swaps = 1;
	target->Swapped = 0;
	target->SwapSpeed = starswapspeed;
	target->LastSwap = CurrentIteration;
	target->PowerUpDuration = starpowerupduration;
}

void MakeNuke(struct Target* target, int CurrentIteration)
{
	target->Size = IVMakeVec(nukewidth, nukeheight);
	target->targType = Nuke;
	target->ImageData = &nuke;
	target->Score = nukescore;
	target->ExpiryTime = CurrentIteration + nukeiterations;
	target->ActivatesPowerup = 1;
	target->Swaps = 0;
	
}

void DestroyAll(int AddPoints, int IgnoreBadTargets)
{
	int i;
	for (i = 0; i < MAX_TARGETS - 1; ++i)
	{
		if (targets[i].Alive)
		{
			targets[i].Alive = 0;
			if (!(targets[i].Score < 0 && (IgnoreBadTargets || InvincibilityActive)))
			{
				score += targets[i].Score;
			}
			readyForGen = 1;
		}
		if (score < 0)
			score = 0;
	}
}


int Intersects(struct IntVector2 L1_Start, struct IntVector2 L1_End, struct IntVector2 L2_Start, struct IntVector2 L2_End)
{

/*
E = B-A = ( Bx-Ax, By-Ay )
F = D-C = ( Dx-Cx, Dy-Cy ) 
P = ( -Ey, Ex )
h = ( (A-C) * P ) / ( F * P )

*/
	struct IntVector2 E, F, G, H, Q;
	float LimitTop, YLimit, LimitBottom;
	E.x = L1_End.x - L1_Start.x;
	E.y = L1_End.y - L1_Start.y;
	
	F.x = L2_End.x - L2_Start.x;
	F.y = L2_End.y - L2_Start.y;
	
	G.x = -E.y;
	G.y = E.x;
	H.x = L1_Start.x - L2_Start.x;
	H.y = L1_Start.y - L2_Start.y;
	//XLimitTop = DotProduct(&G, &Q);
	LimitBottom = -F.x * E.y + E.x * F.y;
	if (LimitBottom != 0)
	{
		LimitTop = -E.y * H.x + E.x * H.y;
		LimitTop /= LimitBottom;
		if (LimitTop >= 0 && LimitTop <= 1)
		{
			Q.x = L1_Start.y - L2_Start.y;
			Q.y = L1_Start.x - L2_Start.x;
			LimitTop = F.x * Q.x - F.y * Q.y;
			LimitTop /= LimitBottom;
			return LimitTop >= 0 && LimitTop <= 1;
		}
	}
	return 0;
}

int LineCutsObject(struct Target* target, struct IntVector2* LineStart, struct IntVector2* LineEnd)
{
	int IntersectCount = 0;
	struct IntVector2 EdgeStart, EdgeEnd;
	//Check Target Top Edge
	EdgeStart = target->Position;
	EdgeEnd.x = target->Position.x + target->Size.x;
	EdgeEnd.y = target->Position.y;
	if (Intersects(EdgeStart, EdgeEnd, *LineStart, *LineEnd))
		++IntersectCount;
	//Check Left Edge
	EdgeEnd.x = target->Position.x;
	EdgeEnd.y = target->Position.y + target->Size.y;
	if (Intersects(EdgeStart, EdgeEnd, *LineStart, *LineEnd))
		++IntersectCount;
	if (IntersectCount > 1)
		return 1;
	//Check Bottom Edge
	EdgeStart.x = target->Position.x + target->Size.x;
	EdgeStart.y = target->Position.y + target->Size.y;
	if (Intersects(EdgeStart, EdgeEnd, *LineStart, *LineEnd))
		++IntersectCount;
	if (IntersectCount > 1)
		return 1;
	//Check Right Edge
	EdgeEnd.x = target->Position.x + target->Size.x;
	EdgeEnd.y = target->Position.y;
	if (Intersects(EdgeStart, EdgeEnd, *LineStart, *LineEnd))
		++IntersectCount;
	return IntersectCount > 1;
}

float DotProduct(struct Vector2 *P1, struct Vector2 *P2)
{
	return P1->x * P2->x + P1->y * P2->y;
}

int randInt(int max)
{
	return rand() % (max + 1);//(max*rand()/(RAND_MAX+1.0)); 
}
void UpdateScore(struct Screen* targetScreen, int score) {
int index = 0;
int i=0;
int j=0;
int digits = 0;
int temp = score;
int num = score;

//count # digits
while (temp !=0) {
	temp = temp/10;
	digits++;
}

for (i = 0; i < digits-1;i++){
	DrawDigit(targetScreen,num%10, i);
	num =num/10;
}

DrawDigit(targetScreen,num, i);

}

void DrawDigit(struct Screen * targetScreen, int digit, int pos) {

int i = 0;
int j = 0;
int index = 0;
unsigned int * digit_array;
switch (digit) {
	case 0:
		digit_array = zero;
		break;
	case 1:
		digit_array = one;
		break;
	case 2:
		digit_array = two;
		break;
	case 3:
		digit_array = three;
		break;
	case 4:
		digit_array = four;
		break;
	case 5:
		digit_array = five;
		break;
	case 6:
		digit_array = six;
		break;
	case 7:
		digit_array = seven;
		break;
	case 8:
		digit_array = eight;
		break;
	case 9:
		digit_array = nine;
		break;
}
for (i = 0; i < 20; ++i)
	{
	for (j = 0; j < 20; ++j, ++index)
	{
		write_pixel(targetScreen, digit_array[index], 500-pos*40 + i, 440 + j);
	}
}
}
