//2011.03.30.L -> Added IntVector4 type for use with the 2 dot laser tracker

#ifndef _OBJECTS_H_
#define _OBJECTS_H_

//unsigned int trollFace
enum TargetType
{
	Smiley,
	Sniper,
	Bomb,
	Star,
	EvilBomb,
	Nuke,
	NukeIcon
};

struct Vector2
{
	float x;
	float y;	
};

struct IntVector2
{
	int x;
	int y;
};

struct IntVector4
{
	int x1;
	int y1;
	int x2;
	int y2;
};

struct Target
{
	int Alive;
	struct IntVector2 Position;
	struct IntVector2 Speed;
	struct IntVector2 Size;
	int Colour;
	int Score;
	int ExpiryTime;
	int Timed;
	enum TargetType targType;
	int ActivatesPowerup;
	int PowerUpDuration;
	int Swaps;
	int Swapped;
	int LastSwap;
	int SwapSpeed;
	unsigned int* ImageData;// = &smiley; //Not Used Yet
	unsigned int* SwappedData;
};

//Helper Functions

struct IntVector2 IVAdd(struct Vector2* v1, struct Vector2* v2);
	
struct IntVector2 IVZero();
	
struct IntVector2 IVMakeVec(int x, int y);

struct Vector2 Add(struct Vector2* v1, struct Vector2 *v2);
	
struct Vector2 Zero();
	
struct Vector2 MakeVec(float x, float y);

struct Target MakeTarget(int x, int y, int speedx, int speedy, int colour);
static unsigned int nine[400]= {0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff
};

static unsigned int eight[400]= {0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00000000,
0x00ffffff,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00000000,
0x00ffffff,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff
};

static unsigned int seven[400]= {0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff
};

static unsigned int six[400]= {0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff
};

static unsigned int five[400]= {0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff
};

static unsigned int four[400]= {0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff
};

static unsigned int three[400]= {0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00000000,
0x00ffffff,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff
};

static unsigned int two[400]= {0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff
};

static unsigned int one[400]= {0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff
};

static unsigned int zero[400]= {0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff,
0x00ffffff
};





#endif
